<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Tasks</title>
    </head>
    <body>
        <header>
            <nav>
                {% if user.is_authenticated %}
                    <ul>
                        <li>
                            <a href="{% url 'show_my_tasks' %}">My tasks</a>
                        </li>
                        <li>
                            <a href="{% url 'list_projects' %}">My projects</a>
                        </li>
                        <li>
                            <a href="{% url 'logout' %}">Logout</a>
                        </li>
                    </ul>
                {% else %}
                    <ul>
                        <li>
                            <a href="{% url 'login' %}">Login</a>
                        </li>
                        <li>
                            <a href="{% url 'signup' %}">Signup</a>
                        </li>
                    </ul>
                {% endif %}
            </nav>
        </header>
        <main>
            <div>
                <h1>My Tasks</h1>
                {% if tasks_list %}
                    <table>
                        <tr>
                            <thead>
                                <tr>
                                    <th>Name</th>
                                    <th>Start date</th>
                                    <th>Due date</th>
                                    <th>Is completed?</th>
                                </tr>
                            </thead>
                            <tbody>
                                {% for each_task in tasks_list %}
                                    <tr>
                                        <td>{{ each_task.name }}</td>
                                        <td>{{ each_task.start_date }}</td>
                                        <td>{{ each_task.due_date }}</td>
                                        <td>{{ each_task.is_completed|yesno }}</td>
                                    </tr>
                                {% endfor %}
                            </tbody>
                        </tr>
                    </table>
                {% else %}
                    <p>You have no tasks</p>
                {% endif %}
            </div>
        </main>
    </body>
</html>
